{% load static %}

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=0.8">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>Status Alghi</title>

    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'home/style.css' %}">
</head>

<body>
    <div class="container py-4">
        <div class="row">
            <div class="col text-center">
                <h1>Halo, apa kabar?</h1>
                <div class="pb-5">
                    <form class="text-left px-5" method="POST" action="">
                        {% csrf_token %}
                        <div class="form-group">
                            <label for="id_name">Nama:</label>
                            <input class="form-control" type="text" name="name" maxlength="100" required="" id="id_name">
                        </div>
                        
                        <div class="form-group">
                            <label for="id_message">Status:</label>
                            <input class="form-control" type="text" name="message" maxlength="300" required="" id="id_message">
                        </div>

                        <button class="btn btn-dark w-100" type="submit" id="id_submit">Submit</button>
                    </form>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Nama</th>
                            <th scope="col">Status</th>
                            <th scope="col">Tanggal</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for status in list_status %}
                        <tr>
                            <th scope="row">{{ status.pk }}</th>
                            <td>{{ status.name }}</td>
                            <td>{{ status.message }}</td>
                            <td>{{ status.posted_date }}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    
    <script src="{% static 'js/jquery.slim.min.js' %}"></script>
    <script src="{% static 'js/bootstrap.bundle.min.js' %}"></script>
</body>

</html>